---
title: "Get document"
url: "https://docs.signnow.com/docs/document/operations/get-document"
type: "endpoint"
section: "document"
slug: "document/operations/get-document"
method: "GET"
path: "/document/{document_id}"
operation_id: "get-document"
authorization: "bearer"
---

# Get document

`GET /document/{document_id}`

This endpoint returns details of a specific document.

The **Document** object contains:
* Metadata: file name, size, extension, and ID
* Fields, texts, checks, and signatures
* Invites and their statuses (available statuses are: `created`, `pending`, `fulfilled`, `canceled`, `skipped`)
* Roles:
  - Recipients with a sign action appear in the `roles` array.
  - Recipients with an approve action appear in the `approver_roles` array.
  - Recipients with a view action appear in the `viewer_roles` array.
* Timestamps (date created, and date updated)
* Document group information
* Document group template information
* Originator's organization-level settings
* Integrations settings
* Signing session settings
* Share information

    - `is_team_shared`: Returns `true`, if the file has been shared with a team. 
    - `role`: Indicates the user's access to the document: Allowed values are `sender`, `viewer`, or `owner`. 
    - `is_personally_shared_to_others`: Returns `true` if the template has been personally shared with other users (via the **Share** button). The attribute is visible to the template owner and users with access rights.


Document is a fundamental object of every eSignature workflow.

* It’s impossible to send an invite without selecting or [uploading a document](/docs/document/operations/upload-document).
* When the document is signed, it can be [downloaded in PDF file format](/docs/document/operations/download-document).
* Documents in SignNow can be [turned into templates](/docs/template/operations/create-template).
*API also allows you to create [event subscriptions](/docs/basic-auth/operations/create-event-subscription) triggered by a specific document.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `document_id` | string | Yes | Document ID. |

## Query Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `include=integration_objects` | string | No | If used, the response will contain the list of smart fields. |
| `include=document_attributes` | string | No | If used, the response will contain document attributes. |

## Responses

### 200

* Successful request.
* Successful request with `include=integration_objects` (smart fields in the response).

**Example** (`Example 1`)

```json
{
  "id": "a0XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
  "tags": [
    {
      "name": "fields",
      "type": "system"
    }
  ],
  "lines": [],
  "owner": "document_owner@email.com",
  "pages": [
    {
      "src": "https://example.com/document/a0XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX/thumbnail?size=large&page=0",
      "size": {
        "width": 612,
        "height": 792
      }
    }
  ],
  "roles": [
    {
      "name": "Signer 1",
      "unique_id": "48XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "signing_order": "1"
    }
  ],
  "seals": [],
  "texts": [],
  "checks": [],
  "fields": [
    {
      "id": "d8XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "role": "Signer 1",
      "type": "signature",
      "role_id": "48XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "field_id": "c2XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "fulfiller": "signer@email.com",
      "element_id": "26XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "originator": "document_owner@email.com",
      "json_attributes": {
        "x": 70,
        "y": 362,
        "name": "Signature_1",
        "width": 83,
        "height": 21,
        "required": true,
        "page_number": 0
      },
      "field_request_id": "c2XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "template_field_id": null,
      "field_request_canceled": null
    },
    {
      "id": "791b763ccfcf431e8a52f267e7da74ee7de99974",
      "role": "Signer 2",
      "type": "text",
      "role_id": "d01146c6310c4b138ad04be067b6518e125588a4",
      "field_id": null,
      "fulfiller": "signer2@email.com",
      "element_id": null,
      "originator": "document_owner@email.com",
      "json_attributes": {
        "x": 396,
        "y": 142,
        "bold": false,
        "font": "Arial",
        "name": "Text Field 1",
        "size": 14,
        "align": "left",
        "color": "000000",
        "width": 65,
        "height": 12,
        "italic": false,
        "valign": "top",
        "required": false,
        "font_size": 10,
        "max_chars": 0,
        "max_lines": 0,
        "underline": false,
        "arrangement": "none",
        "page_number": 0,
        "stretch_mode": "fixed",
        "prefilled_text": "1234",
        "lock_to_sign_prefill": true
      },
      "field_request_id": null,
      "template_field_id": null,
      "field_request_canceled": null
    }
  ],
  "created": "1565787561",
  "inserts": [],
  "updated": "1565858757",
  "user_id": "89XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
  "payments": [],
  "requests": [],
  "settings": {
    "copy_export": false,
    "upload_limit": false,
    "document_guide": false,
    "sso-only-login": false,
    "mobileweb_option": false,
    "cloud_auto_export": false,
    "logout_on_signing": false,
    "restrict_download": false,
    "add_signature_stamp": false,
    "cfr_title_21_part_11": false,
    "require_email_subject": false,
    "no_document_attachment": false,
    "electronic_consent_text": false,
    "org_allowed_team_admins": false,
    "document_schema_extended": false,
    "front_end_session_length": false,
    "no_user_signature_return": false,
    "require_drawn_signatures": false,
    "cloud_export_with_history": false,
    "enable_full_story_tracker": false,
    "require_login_for_signing": false,
    "disable_email_notifications": false,
    "electronic_consent_required": false,
    "email_admin_on_banned_login": false,
    "enable_hyperlink_protection": false,
    "invite_decline_redirect_url": false,
    "emailed_docs_include_history": false,
    "no_document_file_attachments": false,
    "add_signature_stamp_with_name": false,
    "digitally_sign_dowloaded_docs": false,
    "watermark_downloaded_document": false,
    "invite_completion_redirect_url": false,
    "required_preset_signature_name": false,
    "signing_link_document_download": false,
    "block_login_via_social_networks": false,
    "enable_advanced_threat_protection": false,
    "document_completion_retention_days": false,
    "require_authentication_for_invites": false,
    "document_attachment_only_for_signer": false,
    "unsuccessful_logout_attempts_allowed": false,
    "audit_trail_completion_retention_days": false,
    "pending_invite_document_view_notification": false,
    "only_administrator_is_able_to_invite_to_the_team": false,
    "block_export_options_when_credit_card_validation_is_used": false,
    "invite_update_notifications_for_all_invites_at_invite_create": false
  },
  "template": false,
  "parent_id": "c8XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
  "thumbnail": {
    "large": "https://example.com/document/a0XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX/thumbnail?size=large",
    "small": "https://example.com/document/a0XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX/thumbnail?size=small",
    "medium": "https://example.com/document/a0XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX/thumbnail?size=medium"
  },
  "hyperlinks": [],
  "owner_name": "Document Owner",
  "page_count": "1",
  "share_info": {
    "role": "owner",
    "is_team_shared": true,
    "is_personally_shared_to_others": false
  },
  "signatures": [
    {
      "x": "70",
      "y": "362",
      "id": "26XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "data": "some_data",
      "email": "signer@email.com",
      "width": "56",
      "height": "21",
      "created": "1565858757",
      "user_id": "e9XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "page_number": "0"
    }
  ],
  "attachments": [],
  "exported_to": [],
  "integrations": [],
  "radiobuttons": [],
  "version_time": "1565858757",
  "document_name": "Sample document",
  "field_invites": [
    {
      "id": "37XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "role": "Signer 1",
      "email": "signer@email.com",
      "pfrid": null,
      "status": "fulfilled",
      "created": "1565858734",
      "pfrtype": null,
      "role_id": "48XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "updated": "1565858757",
      "declined": [],
      "reassign": "0",
      "reminder": "0",
      "pframount": null,
      "pfrstatus": null,
      "pfrcreated": null,
      "email_group": {
        "id": "9dXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
        "name": "Contact group"
      },
      "id_verified": "UNVERIFIED",
      "redirect_uri": null,
      "password_type": "",
      "email_statuses": [
        {
          "status": "sent",
          "created_at": 1776768376,
          "last_reaction_at": 1776768376
        },
        {
          "status": "mail_open",
          "created_at": 1776850459,
          "last_reaction_at": 1776850459
        }
      ],
      "pfrmerchant_id": null,
      "expiration_time": "1568450734",
      "password_method": "",
      "payment_request": null,
      "pfrcurrency_name": null,
      "pfrmerchant_type": null,
      "verification_type": null,
      "is_document_locked": "0",
      "password_protected": "0",
      "pfrjson_attributes": null,
      "force_new_signature": null,
      "decline_by_signature": null,
      "signing_instructions": null,
      "electronic_consent_id": null,
      "prefill_signature_name": null,
      "id_verification_required": "NO",
      "pfrmerchant_account_name": null,
      "pfrpayment_transaction_id": null,
      "electronic_consent_required": 0,
      "required_preset_signature_name": null,
      "stripe_ach_bank_account_present": "0",
      "stripe_ach_bank_account_verified": "0"
    }
  ],
  "notary_invites": [],
  "origin_user_id": null,
  "checkbox_groups": [],
  "originator_logo": "",
  "routing_details": [
    {
      "cc": [],
      "id": "98XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "data": [
        {
          "name": "Signer 1",
          "role_id": "48XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
          "inviter_role": false,
          "default_email": "",
          "signing_order": 1
        }
      ],
      "cc_step": [],
      "created": "1565858709",
      "updated": null,
      "invite_link_instructions": null
    }
  ],
  "field_validators": [],
  "scheduled_invite": null,
  "original_filename": "sample_document.pdf",
  "origin_document_id": null,
  "document_attributes": {
    "from_name": "Anna Green",
    "from_email": "anna.green@email.com"
  },
  "document_group_info": {
    "invite_id": null,
    "invite_status": null,
    "document_group_id": null,
    "doc_count_in_group": 0,
    "document_group_name": null
  },
  "enumeration_options": [],
  "viewer_field_invites": [],
  "approver_field_invites": [],
  "signing_session_settings": {
    "welcome_message": null
  },
  "document_group_template_info": [],
  "originator_organization_settings": [
    {
      "value": "https://example.com",
      "setting": "invite_completion_redirect_url"
    },
    {
      "value": "",
      "setting": "invite_decline_redirect_url"
    },
    {
      "value": "0",
      "setting": "required_preset_signature_name"
    },
    {
      "value": "0",
      "setting": "require_email_subject"
    },
    {
      "value": "0",
      "setting": "require_login_for_signing"
    },
    {
      "value": "0",
      "setting": "logout_on_signing"
    },
    {
      "value": "0",
      "setting": "front_end_session_length"
    },
    {
      "value": "0",
      "setting": "add_signature_stamp_with_name"
    },
    {
      "value": "0",
      "setting": "cfr_title_21_part_11"
    },
    {
      "value": "0",
      "setting": "require_authentication_for_invites"
    },
    {
      "value": "1",
      "setting": "document_guide"
    },
    {
      "value": "no",
      "setting": "block_export_options_when_credit_card_validation_is_used"
    }
  ]
}
```

**Example** (`Successful request`)

```json
{
  "id": "a0XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
  "tags": [
    {
      "name": "fields",
      "type": "system"
    }
  ],
  "lines": [],
  "owner": "document_owner@email.com",
  "pages": [
    {
      "src": "https://example.com/document/a0XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX/thumbnail?size=large&page=0",
      "size": {
        "width": 612,
        "height": 792
      }
    }
  ],
  "roles": [
    {
      "name": "Signer 1",
      "unique_id": "48XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "signing_order": "1"
    }
  ],
  "seals": [],
  "texts": [],
  "checks": [],
  "fields": [
    {
      "id": "d8XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "role": "Signer 1",
      "type": "signature",
      "role_id": "48XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "field_id": "c2XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "fulfiller": "signer@email.com",
      "element_id": "26XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "originator": "document_owner@email.com",
      "json_attributes": {
        "x": 70,
        "y": 362,
        "name": "Signature_1",
        "width": 83,
        "height": 21,
        "required": true,
        "page_number": 0
      },
      "field_request_id": "c2XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "template_field_id": null,
      "field_request_canceled": null
    },
    {
      "id": "791b763ccfcf431e8a52f267e7da74ee7de99974",
      "role": "Signer 2",
      "type": "text",
      "role_id": "d01146c6310c4b138ad04be067b6518e125588a4",
      "field_id": "b2XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "fulfiller": "signer2@email.com",
      "element_id": "27XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "originator": "document_owner@email.com",
      "json_attributes": {
        "x": 396,
        "y": 142,
        "bold": false,
        "font": "Arial",
        "name": "Text Field 1",
        "size": 14,
        "align": "left",
        "color": "000000",
        "width": 65,
        "height": 12,
        "italic": false,
        "valign": "top",
        "required": false,
        "font_size": 10,
        "max_chars": 0,
        "max_lines": 0,
        "underline": false,
        "arrangement": "none",
        "page_number": 0,
        "stretch_mode": "fixed",
        "prefilled_text": "1234",
        "lock_to_sign_prefill": true
      },
      "field_request_id": "a2XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "template_field_id": null,
      "field_request_canceled": null
    }
  ],
  "created": "1565787561",
  "inserts": [],
  "updated": "1565858757",
  "user_id": "89XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
  "payments": [],
  "requests": [],
  "settings": {
    "copy_export": false,
    "upload_limit": false,
    "document_guide": false,
    "sso-only-login": false,
    "mobileweb_option": false,
    "cloud_auto_export": false,
    "logout_on_signing": false,
    "restrict_download": false,
    "add_signature_stamp": false,
    "cfr_title_21_part_11": false,
    "require_email_subject": false,
    "no_document_attachment": false,
    "electronic_consent_text": false,
    "org_allowed_team_admins": false,
    "document_schema_extended": false,
    "front_end_session_length": false,
    "no_user_signature_return": false,
    "require_drawn_signatures": false,
    "cloud_export_with_history": false,
    "enable_full_story_tracker": false,
    "require_login_for_signing": false,
    "disable_email_notifications": false,
    "electronic_consent_required": false,
    "email_admin_on_banned_login": false,
    "enable_hyperlink_protection": false,
    "invite_decline_redirect_url": false,
    "emailed_docs_include_history": false,
    "no_document_file_attachments": false,
    "add_signature_stamp_with_name": false,
    "digitally_sign_dowloaded_docs": false,
    "watermark_downloaded_document": false,
    "invite_completion_redirect_url": false,
    "required_preset_signature_name": false,
    "signing_link_document_download": false,
    "block_login_via_social_networks": false,
    "enable_advanced_threat_protection": false,
    "document_completion_retention_days": false,
    "require_authentication_for_invites": false,
    "document_attachment_only_for_signer": false,
    "unsuccessful_logout_attempts_allowed": false,
    "audit_trail_completion_retention_days": false,
    "pending_invite_document_view_notification": false,
    "only_administrator_is_able_to_invite_to_the_team": false,
    "block_export_options_when_credit_card_validation_is_used": false,
    "invite_update_notifications_for_all_invites_at_invite_create": false
  },
  "template": false,
  "parent_id": "c8XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
  "thumbnail": {
    "large": "https://example.com/document/a0XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX/thumbnail?size=large",
    "small": "https://example.com/document/a0XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX/thumbnail?size=small",
    "medium": "https://example.com/document/a0XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX/thumbnail?size=medium"
  },
  "hyperlinks": [],
  "owner_name": "Document Owner",
  "page_count": "1",
  "share_info": {
    "role": "owner",
    "is_team_shared": true,
    "is_personally_shared_to_others": false
  },
  "signatures": [
    {
      "x": "70",
      "y": "362",
      "id": "26XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "data": "some_data",
      "email": "signer@email.com",
      "width": "56",
      "height": "21",
      "created": "1565858757",
      "user_id": "e9XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "page_number": "0"
    }
  ],
  "attachments": [],
  "exported_to": [],
  "integrations": [],
  "radiobuttons": [],
  "version_time": "1565858757",
  "document_name": "Sample document",
  "field_invites": [
    {
      "id": "37XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "role": "Signer 1",
      "email": "signer@email.com",
      "pfrid": null,
      "status": "fulfilled",
      "created": "1565858734",
      "pfrtype": null,
      "role_id": "48XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "updated": "1565858757",
      "declined": [],
      "reassign": "0",
      "reminder": "0",
      "pframount": null,
      "pfrstatus": null,
      "pfrcreated": null,
      "email_group": {
        "id": "9dXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
        "name": "Contact group"
      },
      "id_verified": "UNVERIFIED",
      "redirect_uri": null,
      "password_type": "",
      "email_statuses": [
        {
          "status": "sent",
          "created_at": 1776768376,
          "last_reaction_at": 1776768376
        },
        {
          "status": "mail_open",
          "created_at": 1776850459,
          "last_reaction_at": 1776850459
        }
      ],
      "pfrmerchant_id": null,
      "expiration_time": "1568450734",
      "password_method": "",
      "payment_request": null,
      "pfrcurrency_name": null,
      "pfrmerchant_type": null,
      "verification_type": null,
      "is_document_locked": "0",
      "password_protected": "0",
      "pfrjson_attributes": null,
      "force_new_signature": null,
      "decline_by_signature": null,
      "signing_instructions": null,
      "electronic_consent_id": null,
      "prefill_signature_name": null,
      "id_verification_required": "NO",
      "pfrmerchant_account_name": null,
      "pfrpayment_transaction_id": null,
      "electronic_consent_required": 0,
      "required_preset_signature_name": null,
      "stripe_ach_bank_account_present": "0",
      "stripe_ach_bank_account_verified": "0"
    }
  ],
  "notary_invites": [],
  "origin_user_id": null,
  "checkbox_groups": [],
  "originator_logo": "",
  "routing_details": [
    {
      "cc": [],
      "id": "98XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "data": [
        {
          "name": "Signer 1",
          "role_id": "48XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
          "inviter_role": false,
          "default_email": "",
          "signing_order": 1
        }
      ],
      "cc_step": [],
      "created": "1565858709",
      "updated": null,
      "invite_link_instructions": null
    }
  ],
  "field_validators": [],
  "scheduled_invite": null,
  "original_filename": "sample_document.pdf",
  "origin_document_id": null,
  "document_attributes": {
    "from_name": "Jane Doe",
    "from_email": "sender@email.com"
  },
  "document_group_info": {
    "invite_id": null,
    "invite_status": null,
    "document_group_id": null,
    "doc_count_in_group": 0,
    "document_group_name": null
  },
  "enumeration_options": [],
  "viewer_field_invites": [],
  "approver_field_invites": [],
  "signing_session_settings": {
    "welcome_message": null
  },
  "document_group_template_info": [],
  "originator_organization_settings": [
    {
      "value": "https://example.com",
      "setting": "invite_completion_redirect_url"
    },
    {
      "value": "",
      "setting": "invite_decline_redirect_url"
    },
    {
      "value": "0",
      "setting": "required_preset_signature_name"
    },
    {
      "value": "0",
      "setting": "require_email_subject"
    },
    {
      "value": "0",
      "setting": "require_login_for_signing"
    },
    {
      "value": "0",
      "setting": "logout_on_signing"
    },
    {
      "value": "0",
      "setting": "front_end_session_length"
    },
    {
      "value": "0",
      "setting": "add_signature_stamp_with_name"
    },
    {
      "value": "0",
      "setting": "cfr_title_21_part_11"
    },
    {
      "value": "0",
      "setting": "require_authentication_for_invites"
    },
    {
      "value": "1",
      "setting": "document_guide"
    },
    {
      "value": "no",
      "setting": "block_export_options_when_credit_card_validation_is_used"
    }
  ]
}
```

**Example** (`Sucessful request with smart fields`)

```json
{
  "id": "a0XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
  "tags": [
    {
      "name": "fields",
      "type": "system"
    }
  ],
  "owner": "document_owner@email.com",
  "pages": [
    {
      "src": "https://example.com/document/a0XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX/thumbnail?size=large&page=0",
      "size": {
        "width": 612,
        "height": 792
      }
    }
  ],
  "roles": [
    {
      "name": "Signer 1",
      "unique_id": "48XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "signing_order": "1"
    }
  ],
  "seals": [],
  "texts": [],
  "checks": [],
  "fields": [
    {
      "id": "d8XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "role": "Signer 1",
      "type": "signature",
      "role_id": "48XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "field_id": "c2XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "fulfiller": "signer@email.com",
      "element_id": "26XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "originator": "document_owner@email.com",
      "json_attributes": {
        "x": 70,
        "y": 362,
        "name": "Signature_1",
        "width": 83,
        "height": 21,
        "required": true,
        "page_number": 0
      },
      "field_request_id": "c2XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "template_field_id": null,
      "field_request_canceled": null
    }
  ],
  "created": "1565787561",
  "inserts": [],
  "updated": "1565858757",
  "user_id": "89XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
  "payments": [],
  "requests": [],
  "settings": {
    "copy_export": false,
    "upload_limit": false,
    "document_guide": false,
    "sso-only-login": false,
    "mobileweb_option": false,
    "cloud_auto_export": false,
    "logout_on_signing": false,
    "restrict_download": false,
    "add_signature_stamp": false,
    "cfr_title_21_part_11": false,
    "require_email_subject": false,
    "no_document_attachment": false,
    "electronic_consent_text": false,
    "org_allowed_team_admins": false,
    "document_schema_extended": false,
    "front_end_session_length": false,
    "no_user_signature_return": false,
    "require_drawn_signatures": false,
    "cloud_export_with_history": false,
    "enable_full_story_tracker": false,
    "require_login_for_signing": false,
    "disable_email_notifications": false,
    "electronic_consent_required": false,
    "email_admin_on_banned_login": false,
    "enable_hyperlink_protection": false,
    "invite_decline_redirect_url": false,
    "emailed_docs_include_history": false,
    "no_document_file_attachments": false,
    "add_signature_stamp_with_name": false,
    "digitally_sign_dowloaded_docs": false,
    "watermark_downloaded_document": false,
    "invite_completion_redirect_url": false,
    "required_preset_signature_name": false,
    "signing_link_document_download": false,
    "block_login_via_social_networks": false,
    "enable_advanced_threat_protection": false,
    "document_completion_retention_days": false,
    "require_authentication_for_invites": false,
    "document_attachment_only_for_signer": false,
    "unsuccessful_logout_attempts_allowed": false,
    "audit_trail_completion_retention_days": false,
    "pending_invite_document_view_notification": false,
    "only_administrator_is_able_to_invite_to_the_team": false,
    "block_export_options_when_credit_card_validation_is_used": false,
    "invite_update_notifications_for_all_invites_at_invite_create": false
  },
  "template": false,
  "parent_id": "c8XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
  "thumbnail": {
    "large": "https://example.com/document/a0XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX/thumbnail?size=large",
    "small": "https://example.com/document/a0XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX/thumbnail?size=small",
    "medium": "https://example.com/document/a0XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX/thumbnail?size=medium"
  },
  "hyperlinks": [],
  "owner_name": "Document Owner",
  "page_count": "1",
  "signatures": [
    {
      "x": "70",
      "y": "362",
      "id": "26XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "data": "some_data",
      "email": "signer@email.com",
      "width": "56",
      "height": "21",
      "created": "1565858757",
      "user_id": "e9XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "page_number": "0"
    }
  ],
  "attachments": [],
  "exported_to": [],
  "integrations": [],
  "radiobuttons": [],
  "version_time": "1565858757",
  "document_name": "Sample document",
  "field_invites": [
    {
      "id": "37XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "role": "Signer 1",
      "email": "signer@email.com",
      "pfrid": null,
      "status": "fulfilled",
      "created": "1565858734",
      "pfrtype": null,
      "role_id": "48XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "updated": "1565858757",
      "declined": [],
      "reassign": "0",
      "reminder": "0",
      "pframount": null,
      "pfrstatus": null,
      "pfrcreated": null,
      "email_group": {
        "id": "9dXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
        "name": "Contact group"
      },
      "id_verified": "UNVERIFIED",
      "redirect_uri": null,
      "password_type": "",
      "email_statuses": [
        {
          "status": "sent",
          "created_at": 1776768376,
          "last_reaction_at": 1776768376
        },
        {
          "status": "mail_open",
          "created_at": 1776850459,
          "last_reaction_at": 1776850459
        }
      ],
      "pfrmerchant_id": null,
      "expiration_time": "1568450734",
      "password_method": "",
      "payment_request": null,
      "pfrcurrency_name": null,
      "pfrmerchant_type": null,
      "verification_type": null,
      "is_document_locked": "0",
      "password_protected": "0",
      "pfrjson_attributes": null,
      "force_new_signature": null,
      "decline_by_signature": null,
      "signing_instructions": null,
      "electronic_consent_id": null,
      "prefill_signature_name": null,
      "id_verification_required": "NO",
      "pfrmerchant_account_name": null,
      "pfrpayment_transaction_id": null,
      "electronic_consent_required": 0,
      "required_preset_signature_name": null,
      "stripe_ach_bank_account_present": "0",
      "stripe_ach_bank_account_verified": "0"
    }
  ],
  "notary_invites": [],
  "origin_user_id": null,
  "checkbox_groups": [],
  "originator_logo": "",
  "routing_details": [
    {
      "cc": [],
      "id": "98XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "data": [
        {
          "name": "Signer 1",
          "role_id": "48XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
          "inviter_role": false,
          "default_email": "",
          "signing_order": 1
        }
      ],
      "cc_step": [],
      "created": "1565858709",
      "updated": null,
      "invite_link_instructions": null
    }
  ],
  "field_validators": [],
  "scheduled_invite": null,
  "original_filename": "sample_document.pdf",
  "origin_document_id": null,
  "document_group_info": {
    "invite_id": null,
    "invite_status": null,
    "document_group_id": null,
    "doc_count_in_group": 0,
    "document_group_name": null
  },
  "enumeration_options": [],
  "integration_objects": [
    {
      "x": "350",
      "y": "32",
      "id": "d0XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "data": "Data2",
      "font": "Arial",
      "size": "12",
      "email": "user@mail.com",
      "created": "1707928083",
      "user_id": "88XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "line_height": "13.00",
      "page_number": "0",
      "allow_editing": true,
      "json_attributes": {
        "bold": false,
        "color": "646B63"
      },
      "api_integration_id": "c0XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX"
    },
    {
      "x": "400",
      "y": "32",
      "id": "07XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "data": "Data3",
      "font": "Arial",
      "size": "12",
      "email": "user@mail.com",
      "created": "1707928083",
      "user_id": "88XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX",
      "line_height": "13.00",
      "page_number": "0",
      "allow_editing": true,
      "json_attributes": {
        "bold": false,
        "color": "669E85",
        "italic": false,
        "underline": true
      },
      "api_integration_id": "c0XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX"
    }
  ],
  "viewer_field_invites": [],
  "approver_field_invites": [],
  "signing_session_settings": {
    "welcome_message": null
  },
  "document_group_template_info": [],
  "originator_organization_settings": [
    {
      "value": "https://example.com",
      "setting": "invite_completion_redirect_url"
    },
    {
      "value": "",
      "setting": "invite_decline_redirect_url"
    },
    {
      "value": "0",
      "setting": "required_preset_signature_name"
    },
    {
      "value": "0",
      "setting": "require_email_subject"
    },
    {
      "value": "0",
      "setting": "require_login_for_signing"
    },
    {
      "value": "0",
      "setting": "logout_on_signing"
    },
    {
      "value": "0",
      "setting": "front_end_session_length"
    },
    {
      "value": "0",
      "setting": "add_signature_stamp_with_name"
    },
    {
      "value": "0",
      "setting": "cfr_title_21_part_11"
    },
    {
      "value": "0",
      "setting": "require_authentication_for_invites"
    },
    {
      "value": "1",
      "setting": "document_guide"
    },
    {
      "value": "no",
      "setting": "block_export_options_when_credit_card_validation_is_used"
    }
  ]
}
```

### 400

Request  with incorrect document ID

**Example** (`Request  with incorrect document ID`)

```json
{
  "404": "Unable to find a route to match the URI: document/123test"
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X GET \
  "https://api.signnow.com/document/{document_id}" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN"
```

---
*Full reference: https://docs.signnow.com/docs/document/operations/get-document*
